var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var data_sources_collection_model_exports = {};
__export(data_sources_collection_model_exports, {
  DataSourcesCollectionModel: () => DataSourcesCollectionModel
});
module.exports = __toCommonJS(data_sources_collection_model_exports);
var import_database = require("@nocobase/database");
class DataSourcesCollectionModel extends import_database.MagicAttributeModel {
  load(loadOptions) {
    const { app } = loadOptions;
    const collectionOptions = this.get();
    const dataSourceName = this.get("dataSourceKey");
    const dataSource = app.dataSourceManager.dataSources.get(dataSourceName);
    const collection = dataSource.collectionManager.getCollection(collectionOptions.name);
    collection.updateOptions(collectionOptions);
  }
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  DataSourcesCollectionModel
});
